/*
 * ClassBrowserDockable.java
 * Copyright (c) 2000 Andre Kaplan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/


package codeaid.browser;

import java.awt.Component;

import org.gjt.sp.jedit.View;
import org.gjt.sp.jedit.gui.DockableWindow;


/**
 * Dockable ClassBrowser panel
 * @author Andre Kaplan
 * @version $Id: ClassBrowserDockable.java,v 1.3 2001/01/08 02:56:59 akaplan Exp $
**/
public class ClassBrowserDockable implements DockableWindow
{
    private ClassBrowser classBrowser = null;


    public ClassBrowserDockable() {
        this.classBrowser = new ClassBrowser();
    }


    public String getName() {
        return CodeAidBrowserPluginPart.DOCKABLE_NAME;
    }


    public Component getComponent() {
        return this.classBrowser;
    }
}

